%MATLAB Function-File T_RNFORM_168.m
%Transformation auf Regelungsnormalform

function[sysR,TR]=T_RNFORM_1(sys)
A=sys.a;				%Systemmatrix des Zustandsmodells sys
b=sys.b;				%Eingangsvektor des Zustandsmodells sys
n=length(A);            %Systemordnung
QS=ctrb(A,b);           %Steuerbarkeitsmatrix
QS_1=inv(QS);           %inverse "
qSn=QS_1(n,:);          %letzte Zeile von QS_1 
for i=1:n               %hnlichkeitstransformation
TR(i,:)=qSn*A^(i-1);    %mit Matrix TR auf
end                     %Regelungsnormalform
sysR=ss2ss(sys,TR);   	%Zustandsmodell in 
                        %Regelungsnormalform