%MATLAB Script-File zuregM_175.m
%Zustands-Drehzahlregelung
KS1=0.3; KS2=1; TM=0.02; TES=0.0015; 
a11=-1/TM; a12=KS2/TM; a22=-1/TES;
A=[a11    a12; 0    a22]; %Systemmatrix
b2=KS1/TES; b=[0;   b2];  %Eingangsvektor
cT=[1   0];               %Ausgangsvektor
sp1Z=-(1+j)/(2*TES);      %Vorgabepole
sp2Z=-(1-j)/(2*TES);
poleZ=[sp1Z, sp2Z];
rT=-acker(A,b,poleZ);
%Vorfilter:
vw=(1-KS1*(rT(2)+KS2*rT(1)))/(KS1*KS2);
